package com.casic.missiles.mapper.system;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.casic.missiles.dto.system.DownloadFileRequest;
import com.casic.missiles.model.system.SystemFileConfig;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author cz
 * @since 2023-04-03
 */
public interface SystemFileConfigMapper extends BaseMapper<SystemFileConfig> {

    Long selectMaxFileNo();

    Long selectMaxVersionNo();

    String getFileNameByBusiness(@Param("request") DownloadFileRequest downloadFileRequest);

}
